#-----------------------------------------------------------------------------
%{?!dist:	%define		dist	.ok}
%bcond		test		0
%global		debug_package	%{nil}
%define		__python	/usr/bin/python3
%define		sname		%(echo %{name} | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	python-flaky
Version		:	3.7.0
Release		:	16.2.0.rel%{?dist}
Summary		:	Flaky is a plugin for nose or pytest that automatically reruns flaky tests.
Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	ASL 2.0
URL		:	https://pypi.org/project/flaky/#files

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	python3
BuildRequires	:	python-build
BuildRequires	:	python-flit-core
BuildRequires	:	python-pep517
BuildRequires	:	python-installer

%if %{with test}
BuildRequires	:	python-packaging
BuildRequires	:	python3-py-filelock
BuildRequires	:	python-wheel

BuildRequires	:	python-attrs
BuildRequires	:	python-genty
BuildRequires	:	python-mock
BuildRequires	:	python-nose
BuildRequires	:	python-nose2
BuildRequires	:	python-py
BuildRequires	:	python-sortedcontainers
BuildRequires	:	python3-iniconfig
BuildRequires	:	python3-pytest
BuildRequires	:	python-pyproject-hooks
BuildRequires	:	python3-pluggy
BuildRequires	:	python3-tomli
%endif

Requires	:	python-pyproject-hooks

Obsoletes	:	python3-%{sname}	<= %{version}

BuildArch	:	noarch
#-----------------------------------------------------------------------------
%description
Ideally, tests reliably pass or fail, but sometimes
test fixtures must rely on components that aren’t
100% reliable. With flaky, instead of removing those
tests or marking them to @skip, they can be automatically
retried.
 

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc README.rst
%license LICENSE
%{python3_sitelib}/%{sname}/*.py
%{python3_sitelib}/%{sname}/__pycache__/*.pyc
%{python3_sitelib}/%{sname}-%{version}.dist-info/

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__python}						\
	-m build					\
	--wheel						\
	--skip-dependency-check				\
	--no-isolation					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
%if %{with test}
export PYTHONPATH=src
pytest -vvvvv
%endif

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}						\
	-m installer					\
	--destdir=%{buildroot}				\
	dist/*.whl					\

#-----------------------------------------------------------------------------
%changelog
